## numcodecs 0.7.3+ds

=== requirements.txt ===
cython
numpy
msgpack
pytest

## numcodecs 0.6.4+ds

=== debian/changelog ===
numcodecs (0.6.4+ds-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:44:33 +0100

numcodecs (0.6.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update license file for cpuinfo.
  * debian/patches:
    - drop 0002-Use-mock-from-stdlib.patch and
      0004-Fix-unittest-failure.patch, applied upstream
    - refresh and renumber remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 26 Dec 2019 09:53:29 +0000

numcodecs (0.6.3+ds-1) unstable; urgency=medium

  * Initial version (Closes: #888482)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Oct 2019 18:36:52 +0000

=== debian/control ===
Source: numcodecs
Section: python
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cython3,
               libblosc-dev,
               liblz4-dev,
               libzstd-dev,
               python3-all-dev,
               python3-msgpack,
               python3-numpy,
               python3-numpydoc,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               zlib1g-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
Homepage: https://github.com/zarr-developers/numcodecs

Package: python3-numcodecs
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
         python3-numpy
Recommends: ${python3:Recommends},
            python3-msgpack,
            python3-pytest
Suggests: ${python3:Suggests},
          www-browser
Description: buffer compression and transformation codecs for Python
 Numcodecs is a Python package providing buffer compression and
 transformation codecs for use in data storage and communication
 applications. These include:
 .
   - Compression codecs, e.g., Zlib, BZ2, LZMA and Blosc.
   - Pre-compression filters, e.g., Delta, Quantize, FixedScaleOffset,
     PackBits, Categorize.
   - Integrity checks, e.g., CRC32, Adler32.
 .
 All codecs implement the same API, allowing codecs to be organized into
 pipelines in a variety of ways.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DISABLE_NUMCODECS_SSE2=1
export DISABLE_NUMCODECS_AVX2=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=numcodecs

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	echo "version = '$(DEB_VERSION_UPSTREAM)'" > numcodecs/version.py
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

override_dh_auto_clean:
	# does not work due to missing setuptools-scm
	# dh_auto_clean
	$(RM) numcodecs/version.py
	$(RM) -r .pytest_cache .pybuild build
	$(RM) -r numcodecs.egg-info/
	$(RM) numcodecs/*.c
	$(RM) -r $(shell find . -name __pycache__)

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|numcodecs)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/numcodecs-$1.$2/,\
repacksuffix=+ds \
https://github.com/zarr-developers/numcodecs/releases \
(?:.*?/archive/)?(?:rel|v|numcodecs)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## numcodecs 0.7.2+ds

=== debian/changelog ===
numcodecs (0.7.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * Standards version bumped to 4.5.0.
  * 0004-Clean-fixtures.patch forwarded upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 20 Sep 2020 07:38:13 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-setuptools,
                python3-sphinx,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
 Homepage: https://github.com/zarr-developers/numcodecs

## numcodecs 0.7.3+ds

=== debian/changelog ===
numcodecs (0.7.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 29 Jan 2021 07:01:29 +0000

numcodecs (0.7.2+ds-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * Standards-Version bumped to 4.5.1 (no changes).
  * debian/patches:
    - new 0005-cpuinfo.patch to avoid setup.py errors on architectures
      not supported by cpuinfo
    - new 0006-Skip-broken-tests-on-BE-archs.patch

  [ Anton Gladky ]
  * Add .gitlab-ci.yml

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 08 Dec 2020 08:07:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: numcodecs
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
@@ -19,10 +18,11 @@
                python3-setuptools,
                python3-sphinx,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
 Homepage: https://github.com/zarr-developers/numcodecs
+Rules-Requires-Root: no
 
 Package: python3-numcodecs
 Architecture: any

=== debian/tests/control ===
Tests: python3
Depends: @, python3-msgpack, python3-pytest

## numcodecs 0.9.1+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zarr.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zarr.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zarr"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zarr"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
numcodecs (0.9.1+ds-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:42:50 +0000

numcodecs (0.9.1+ds-2) unstable; urgency=medium

  * Fix installation of extension modules for Python 3.10.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Feb 2022 18:58:25 +0000

numcodecs (0.9.1+ds-1) unstable; urgency=medium

  ° New upstream release.
  * Standards version bumped to 4.6.0 (no chenges).
  * Update d/watch.
  * Update d/copyright.
  * debian/patches:
    - refresh all patches.
    - new 0008-Enable-snappy.patch.
  * debian/rules:
    - remove the fixture folder after build.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Feb 2022 09:54:10 +0000

numcodecs (0.8.1+ds-3) unstable; urgency=medium

  * debian/patches:
    - new 0007-Reproducible-build.patch, to male documentation
      build reproducible (thanks to Chris Lamb).
      Closes: #992804.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Sep 2021 09:25:57 +0000

numcodecs (0.8.1+ds-2) unstable; urgency=medium

  * debian/patches:
    - refresh all patches
    - fix typo in 0004-Cpuinfo.patch
    - new 0006-Fix-bigendian-shuffle-test.patch, to fix a shuffle
      test on big-endian architectures.
      See also https://github.com/zarr-developers/numcodecs/pull/282,
      and https://github.com/zarr-developers/numcodecs/issues/286.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 25 Aug 2021 17:21:23 +0000

numcodecs (0.8.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file.
  * Update debian/copyright file.
  * debian/control:
    - add build dependency on python3-sphinx-issues.
  * debian/rules:
    - fix PYTHONPATH in doc build rule.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Aug 2021 09:50:52 +0000

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,14 @@
                python3-msgpack,
                python3-numpy,
                python3-numpydoc,
+               python3-pip,
                python3-pytest,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sphinx,
+               python3-sphinx-issues,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
 Homepage: https://github.com/zarr-developers/numcodecs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export DISABLE_NUMCODECS_SSE2=1
export DISABLE_NUMCODECS_AVX2=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=numcodecs
export DEFAULT_PYTHON=$(shell py3versions -d | cut -d n -f 2)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	env PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(DEFAULT_PYTHON)_numcodecs/build \
	    http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
endif

override_dh_auto_install:
	dh_auto_install
	$(RM) -r $(CURDIR)/debian/python3-numcodecs/usr/lib/python3*/dist-packages/fixture

override_dh_auto_clean:
	dh_auto_clean
	$(RM) numcodecs/version.py
	$(RM) -r numcodecs.egg-info/
	$(RM) numcodecs/*.c
	$(RM) -r $(shell find . -name __pycache__)

## numcodecs 0.10.2+ds

=== debian/changelog ===
numcodecs (0.10.2+ds-2) unstable; urgency=medium

  * debian/patches:
    - refresh all patches.
  * Fix d/copyright formatting.
  * debian/control:
    - recommend python3-zfpy

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Oct 2022 07:10:01 +0000

numcodecs (0.10.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 05 Aug 2022 07:49:54 +0000

numcodecs (0.10.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add dependency on python3-entrypoints.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Jul 2022 11:26:36 +0000

numcodecs (0.10.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.6.1 (no changes).
  * debian/patches:
    - drop 0006-Fix-bigendian-shuffle-test.patch.patch, applied upstream
    - refresh all remaining patches.
  * debian/control:
    - add dependency on python3-typing-extensions.
  * debian/tests:
    - perform autopackagetests on all supported platform.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Jun 2022 06:47:44 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                liblz4-dev,
                libzstd-dev,
                python3-all-dev,
+               python3-entrypoints,
                python3-msgpack,
                python3-numpy,
                python3-numpydoc,
@@ -20,8 +21,10 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-issues,
+               python3-typing-extensions,
+               python3-zfpy,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
 Homepage: https://github.com/zarr-developers/numcodecs
@@ -33,10 +36,12 @@
          ${python3:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends},
+         python3-typing-extensions,
          python3-numpy
 Recommends: ${python3:Recommends},
             python3-msgpack,
-            python3-pytest
+            python3-pytest,
+            python3-zfpy
 Suggests: ${python3:Suggests},
           www-browser
 Description: buffer compression and transformation codecs for Python

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-msgpack, python3-pytest

## numcodecs 0.11.0%2Bds

=== debian/tests/control ===
Tests: python3
Depends: @, python3-all, python3-msgpack, python3-pytest, python3-pytest-cov, python3-zfpy

## numcodecs 0.11.0+ds

=== debian/changelog ===
numcodecs (0.11.0+ds-4) unstable; urgency=medium

  * Skip tests that are incompatible with numpy v1.24 in autopkgtest.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 29 Dec 2022 17:39:12 +0000

numcodecs (0.11.0+ds-3) unstable; urgency=medium

  * debian/rules:
    - skip tests that are incompatible with numpy v1.24 (Closes: #1027231)
    - enable numpy3 dh helper.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 29 Dec 2022 16:45:51 +0000

numcodecs (0.11.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - fix 0004-Cpuinfo.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 17 Dec 2022 10:37:06 +0000

numcodecs (0.11.0+ds-1) unstable; urgency=medium

  * debian/tests/control:
    - add python3-zfpy to autopkgtest dependencies.
  * debian/copyright:
    - update the FilesExcluded field (auto-generated .c code no longer included
      in the upstream source archive)
    - remove entry for cpuinfo: no longer needed.
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - add build-dependency on py-cpuinfo
    - add build-dependency on python3-pytest-cov
    - add build-dependency on pybuild-plugin-pyproject.
  * debian/rules:
    - remove unneeded files from the installation folder.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 16 Dec 2022 11:00:31 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
                libblosc-dev,
                liblz4-dev,
                libzstd-dev,
+               py-cpuinfo,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-entrypoints,
                python3-msgpack,
@@ -17,6 +19,7 @@
                python3-numpydoc,
                python3-pip,
                python3-pytest,
+               python3-pytest-cov,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
@@ -36,8 +39,7 @@
          ${python3:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends},
-         python3-typing-extensions,
-         python3-numpy
+         python3-typing-extensions
 Recommends: ${python3:Recommends},
             python3-msgpack,
             python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export PYBUILD_NAME=numcodecs
+export PYBUILD_TEST_ARGS=-k "not test_non_numpy_inputs and not test_non_numpy_inputs"
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/fixture {build_dir}/.coverage {build_dir}/coverage.xml
 export DEFAULT_PYTHON=$(shell py3versions -d | cut -d n -f 2)
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -22,10 +24,6 @@
 	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
 endif
 
-override_dh_auto_install:
-	dh_auto_install
-	$(RM) -r $(CURDIR)/debian/python3-numcodecs/usr/lib/python3*/dist-packages/fixture
-
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) numcodecs/version.py

## numcodecs 0.12.1+ds

=== docs/Makefile ===
--- 
+++ 
@@ -7,10 +7,12 @@
 PAPER         =
 BUILDDIR      = _build
 
-# User-friendly check for sphinx-build
-ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
-endif
+.PHONY: sphinx
+sphinx:
+	# User-friendly check for sphinx-build
+	ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
+		$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
+	endif
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -54,44 +56,44 @@
 	rm -rf $(BUILDDIR)/*
 
 .PHONY: html
-html:
+html: sphinx
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
 .PHONY: dirhtml
-dirhtml:
+dirhtml: sphinx
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
 
 .PHONY: singlehtml
-singlehtml:
+singlehtml: sphinx
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
 
 .PHONY: pickle
-pickle:
+pickle: sphinx
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
 .PHONY: json
-json:
+json: sphinx
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
 .PHONY: htmlhelp
-htmlhelp:
+htmlhelp: sphinx
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
 .PHONY: qthelp
-qthelp:
+qthelp: sphinx
 	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
@@ -101,7 +103,7 @@
 	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zarr.qhc"
 
 .PHONY: applehelp
-applehelp:
+applehelp: sphinx
 	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
 	@echo
 	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
@@ -110,7 +112,7 @@
 	      "bundle."
 
 .PHONY: devhelp
-devhelp:
+devhelp: sphinx
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
@@ -120,19 +122,19 @@
 	@echo "# devhelp"
 
 .PHONY: epub
-epub:
+epub: sphinx
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
 	@echo
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
 .PHONY: epub3
-epub3:
+epub3: sphinx
 	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
 	@echo
 	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."
 
 .PHONY: latex
-latex:
+latex: sphinx
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
@@ -140,33 +142,33 @@
 	      "(use \`make latexpdf' here to do that automatically)."
 
 .PHONY: latexpdf
-latexpdf:
+latexpdf: sphinx
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
 .PHONY: latexpdfja
-latexpdfja:
+latexpdfja: sphinx
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through platex and dvipdfmx..."
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
 .PHONY: text
-text:
+text: sphinx
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
 	@echo
 	@echo "Build finished. The text files are in $(BUILDDIR)/text."
 
 .PHONY: man
-man:
+man: sphinx
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
 
 .PHONY: texinfo
-texinfo:
+texinfo: sphinx
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo
 	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
@@ -174,57 +176,58 @@
 	      "(use \`make info' here to do that automatically)."
 
 .PHONY: info
-info:
+info: sphinx
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo "Running Texinfo files through makeinfo..."
 	make -C $(BUILDDIR)/texinfo info
 	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
 
 .PHONY: gettext
-gettext:
+gettext: sphinx
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
 	@echo
 	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
 
 .PHONY: changes
-changes:
+changes: sphinx
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
 	@echo
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
 .PHONY: linkcheck
-linkcheck:
+linkcheck: sphinx
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
 
 .PHONY: doctest
-doctest:
+doctest: sphinx
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
 .PHONY: coverage
-coverage:
+coverage: sphinx
 	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
 	@echo "Testing of coverage in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/coverage/python.txt."
 
 .PHONY: xml
-xml:
+xml: sphinx
 	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
 	@echo
 	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."
 
 .PHONY: pseudoxml
-pseudoxml:
+pseudoxml: sphinx
 	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
 	@echo
 	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
 
 .PHONY: dummy
-dummy:
+dummy: sphinx
 	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
 	@echo
 	@echo "Build finished. Dummy builder generates no files."
+

=== debian/changelog ===
numcodecs (0.12.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * devina/control:
    - add dependency on python3-importlib-metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Oct 2023 14:56:58 +0000

numcodecs (0.12.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards version bumped to 4.6.2, no changes.
  * debian/rules:
    - Improve doc build.
  * debian/control:
    - Switch to debhelper-compat 13.
    - Use <!nodoc> and <!nocheck> markers.
    - Drop dependency on python3-entrypoints, and python3-pip.
  * Switch to dh-sequence-*.
  * Switch to autopkgtest-pkg-pybuild and drop the
    no longer necessary d/tests folder.
  * New d/clean file.
  * Update d/copyright.
  * New d/python3-numcodecs.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Oct 2023 10:23:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-numpy3,
+               dh-sequence-sphinxdoc,
                cython3,
                libblosc-dev,
                liblz4-dev,
@@ -13,21 +16,20 @@
                py-cpuinfo,
                pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-entrypoints,
+               python3-importlib-metadata <!nocheck>,
                python3-msgpack,
                python3-numpy,
                python3-numpydoc,
-               python3-pip,
-               python3-pytest,
-               python3-pytest-cov,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-sphinx,
-               python3-sphinx-issues,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-issues <!nodoc>,
                python3-typing-extensions,
                python3-zfpy,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
 Homepage: https://github.com/zarr-developers/numcodecs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export DISABLE_NUMCODECS_SSE2=1
export DISABLE_NUMCODECS_AVX2=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=numcodecs
export PYBUILD_TEST_ARGS=-k "not test_non_numpy_inputs and not test_non_numpy_inputs" --pyargs ${PYBUILD_NAME}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/fixture {build_dir}/.coverage {build_dir}/coverage.xml

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
	    http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
endif

## numcodecs 0.13.0+ds

=== debian/changelog ===
numcodecs (0.13.0+ds-2) unstable; urgency=medium

  * Standards version bumped to 4.7.0, no changes.
  * debian/rules:
    - Temporary skip test_native_functions (depends on the zstd version).
      Closes: #1081627.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Sep 2024 13:58:08 +0000

numcodecs (0.13.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - New 0008-No-distutils.patch.
  * debian/control:
    - Update dependencies.
    - Do not use unexisting substitutions.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 17 Jul 2024 06:04:34 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                python3-msgpack,
                python3-numpy,
                python3-numpydoc,
+               python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
@@ -29,7 +30,7 @@
                python3-typing-extensions,
                python3-zfpy,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
 Homepage: https://github.com/zarr-developers/numcodecs
@@ -41,13 +42,12 @@
          ${python3:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends},
+         python3-pydata-sphinx-theme,
          python3-typing-extensions
-Recommends: ${python3:Recommends},
-            python3-msgpack,
+Recommends: python3-msgpack,
             python3-pytest,
             python3-zfpy
-Suggests: ${python3:Suggests},
-          www-browser
+Suggests: www-browser
 Description: buffer compression and transformation codecs for Python
  Numcodecs is a Python package providing buffer compression and
  transformation codecs for use in data storage and communication

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export PYBUILD_NAME=numcodecs
-export PYBUILD_TEST_ARGS=-k "not test_non_numpy_inputs and not test_non_numpy_inputs" --pyargs ${PYBUILD_NAME}
+export PYBUILD_TEST_ARGS=\
+-k "not test_non_numpy_inputs \
+and not test_non_numpy_inputs \
+and not test_native_functions" \
+--pyargs ${PYBUILD_NAME}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/fixture {build_dir}/.coverage {build_dir}/coverage.xml
 
 %:
@@ -21,4 +25,6 @@
 	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
 	    http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
 	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
+	$(RM) -r $(CURDIR)/.pybuild/docs/html/_static/vendor/fontawesome/5.13.0/webfonts/* \
+		 $(CURDIR)/.pybuild/docs/html/_static/vendor/fontawesome/5.13.0/LICENSE.txt
 endif

## numcodecs 0.13.1+ds

=== debian/changelog ===
numcodecs (0.13.1+ds-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:37:45 +0100

numcodecs (0.13.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Oct 2024 17:37:35 +0000

## numcodecs 0.14.1+ds

=== debian/changelog ===
numcodecs (0.14.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0009-No-mock.patch, applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Nov 2024 07:42:50 +0000

numcodecs (0.14.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - New 0009-No-mock.patch.
  * debian/control:
    - Add dependency on python3-crc32c.
  * debian/rules:
    - Ignore numcodecs/zarr3.py during testing.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Nov 2024 09:38:59 +0000

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                py-cpuinfo,
                pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-crc32c,
                python3-importlib-metadata <!nocheck>,
                python3-msgpack,
                python3-numpy,

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,21 @@
 export DISABLE_NUMCODECS_SSE2=1
 export DISABLE_NUMCODECS_AVX2=1
 
+ifneq (,${PYBUILD_AUTOPKGTEST})
+PKGDIR=/usr/lib/python3/dist-packages
+else
+PKGDIR=.
+endif
+
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export PYBUILD_NAME=numcodecs
 export PYBUILD_TEST_ARGS=\
 -k "not test_non_numpy_inputs \
 and not test_non_numpy_inputs \
 and not test_native_functions" \
---pyargs ${PYBUILD_NAME}
+--pyargs ${PYBUILD_NAME} \
+--ignore=${PKGDIR}/numcodecs/zarr3.py \
+--ignore=${PKGDIR}/numcodecs/tests/test_zarr3.py
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/fixture {build_dir}/.coverage {build_dir}/coverage.xml
 
 %:

## numcodecs 0.15.0+ds

=== debian/changelog ===
numcodecs (0.15.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Recommend python3-crc32c.
    - Add dependency on python3-deprecated.
  * debian/patches:
    - Refresh all patches.
  * debian/rules:
    - Fix tests collection.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 17 Jan 2025 19:15:20 +0000

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 and not test_non_numpy_inputs \
 and not test_native_functions" \
 --pyargs ${PYBUILD_NAME} \
+--ignore=${PKGDIR}/numcodecs/pcodec.py \
 --ignore=${PKGDIR}/numcodecs/zarr3.py \
 --ignore=${PKGDIR}/numcodecs/tests/test_zarr3.py
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/fixture {build_dir}/.coverage {build_dir}/coverage.xml

## numcodecs 0.15.1+ds

=== debian/changelog ===
numcodecs (0.15.1+ds-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:53:09 +0000

numcodecs (0.15.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update links to fonts.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Feb 2025 09:59:27 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-crc32c,
+               python3-deprecated,
                python3-importlib-metadata <!nocheck>,
                python3-msgpack,
                python3-numpy,
@@ -45,7 +46,8 @@
          ${sphinxdoc:Depends},
          python3-pydata-sphinx-theme,
          python3-typing-extensions
-Recommends: python3-msgpack,
+Recommends: python3-crc32c,
+            python3-msgpack,
             python3-pytest,
             python3-zfpy
 Suggests: www-browser

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
 	    http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
 	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
-	$(RM) -r $(CURDIR)/.pybuild/docs/html/_static/vendor/fontawesome/5.13.0/webfonts/* \
-		 $(CURDIR)/.pybuild/docs/html/_static/vendor/fontawesome/5.13.0/LICENSE.txt
 endif
+
+execute_after_dh_sphinxdoc:
+	$(RM) -r debian/python3-numcodecs/usr/share/doc/python3-numcodecs/html/_static/scripts \
+		 debian/python3-numcodecs/usr/share/doc/python3-numcodecs/html/_static/styles \
+		 debian/python3-numcodecs/usr/share/doc/python3-numcodecs/html/_static/vendor

## numcodecs 0.16.0+ds

=== debian/changelog ===
numcodecs (0.16.0+ds-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:19:53 +0000

numcodecs (0.16.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - New 0009-Fix-vlen-enc.patch.
  * Standards version bumped to 4.7.2, no changes.
  * debian/rules:
    - Enable verbose test output.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 09 Apr 2025 06:08:47 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                python3-typing-extensions,
                python3-zfpy,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
 Homepage: https://github.com/zarr-developers/numcodecs

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 -k "not test_non_numpy_inputs \
 and not test_non_numpy_inputs \
 and not test_native_functions" \
---pyargs ${PYBUILD_NAME} \
+-v --pyargs ${PYBUILD_NAME} \
 --ignore=${PKGDIR}/numcodecs/pcodec.py \
 --ignore=${PKGDIR}/numcodecs/zarr3.py \
 --ignore=${PKGDIR}/numcodecs/tests/test_zarr3.py

## numcodecs 0.16.1+ds

=== debian/changelog ===
numcodecs (0.16.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0009-Fix-vlen-enc.patch, applyed upstream.
    - Refresh all patches.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 07:57:55 +0000

## numcodecs 0.16.2+ds

=== debian/changelog ===
numcodecs (0.16.2+ds-2) unstable; urgency=medium

  * debian/patches:
    - New 0009-Fix-zstd-decoding.patch.
  * debian/rules:
    - Re-enable test_pyzstd_streaming and
      test_streaming_decompression.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 19 Aug 2025 08:54:45 +0000

numcodecs (0.16.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on python3-pyzstd and zstd.
  * debian/patches:
    - Refresh all patches.
  * debian/rules:
    - Skip zstd tests that are failing on i386:
      test_pyzstd_streaming and test_streaming_decompression.
      See https://github.com/zarr-developers/numcodecs/issues/781.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 18 Aug 2025 10:56:55 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                dh-sequence-python3,
                dh-sequence-numpy3,
                dh-sequence-sphinxdoc,
@@ -25,13 +24,15 @@
                python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-pyzstd <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
                python3-sphinx-issues <!nodoc>,
                python3-typing-extensions,
                python3-zfpy,
-               zlib1g-dev
+               zlib1g-dev,
+               zstd <!nocheck>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git

## numcodecs 0.16.3+ds

=== debian/changelog ===
numcodecs (0.16.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop 0001-No-spninx-issues.patch, the python3-sphinx-issues
      package is now in Debian.
    - Drop 0009-Fix-zstd-decoding.patch, applied upstream.
    - Refresh and renumber remaining patches.
  * debian/control:
    - Drop "Rules-Requires-Root: no", no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Sep 2025 07:16:01 +0000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,6 @@
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
 Homepage: https://github.com/zarr-developers/numcodecs
-Rules-Requires-Root: no
 
 Package: python3-numcodecs
 Architecture: any

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|numcodecs)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/numcodecs-$1.$2/,\
repacksuffix=+ds \
https://github.com/zarr-developers/numcodecs/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|numcodecs)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## numcodecs 0.16.5%2Bds

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                dh-sequence-numpy3,
@@ -24,7 +23,6 @@
                python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-pyzstd <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
@@ -33,7 +31,7 @@
                python3-zfpy,
                zlib1g-dev,
                zstd <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/numcodecs
 Vcs-Git: https://salsa.debian.org/science-team/numcodecs.git
 Homepage: https://github.com/zarr-developers/numcodecs
